Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3
Class HibernateObjectRetrievalFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.DataRetrievalFailureException
                                  org.springframework.orm.ObjectRetrievalFailureException
                                      org.springframework.orm.hibernate3.HibernateObjectRetrievalFailureException

All Implemented Interfaces:
  Serializable

    public class HibernateObjectRetrievalFailureException

extends ObjectRetrievalFailureException

Hibernate-specific subclass of ObjectRetrievalFailureException. Converts Hibernate's UnresolvableObjectException and WrongClassException.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

Constructor Summary
`HibernateObjectRetrievalFailureException(UnresolvableObjectException ex)`
`HibernateObjectRetrievalFailureException(WrongClassException ex)`

Method Summary

Methods inherited from class org.springframework.orm.ObjectRetrievalFailureException
`getIdentifier, getPersistentClass, getPersistentClassName`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateObjectRetrievalFailureException

    public HibernateObjectRetrievalFailureException(UnresolvableObjectException ex)

### HibernateObjectRetrievalFailureException

    public HibernateObjectRetrievalFailureException(WrongClassException ex)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD